> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kashimi.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get provider subsidiaries



## OpenAPI

````yaml GET /api/v1/capabilities/providers/{id}/subsidiaries
openapi: 3.0.0
info:
  title: Gatekeeper docs
  description: gatekeeper API
  version: 0.0.1
  contact: {}
servers: []
security: []
tags: []
externalDocs:
  description: JSON document
  url: /api/docs-json
paths:
  /api/v1/capabilities/providers/{id}/subsidiaries:
    get:
      tags:
        - Capabilities
      summary: Get a list of the provider's subsidiaries
      operationId: ProvidersController_getSubsidiaries_v1
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: filters
          required: false
          in: query
          description: >-
            Filters narrowing down the returned providers, passed as nested
            query parameters, e.g. ?filters[countryCode]=NL
          schema:
            $ref: '#/components/schemas/GetProvidersFilters'
        - name: cursor
          required: false
          in: query
          description: >-
            Opaque cursor for pagination, passed as a nested query parameter,
            e.g. ?cursor[value]=... Use the `meta.cursor.next.value` from a
            previous response; omit to fetch the first page.
          schema:
            $ref: '#/components/schemas/GetProvidersCursorInputDto'
        - name: Authorization
          in: header
          description: Bearer token for authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: >-
            The list of the provider's subsidiaries has been retrieved
            successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetProvidersSubsidiariesOutputDto'
        '400':
          description: The request is not formatted correctly
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorOutputDto'
                example:
                  statusCode: 400
                  title: Bad Request
                  message: Validation failed (uuid v4 is expected)
        '401':
          description: >-
            Your access token was either not passed with the request, or it is
            invalid (e.g. expired or malformed). Make sure to pass the token in
            the Authorization header, and obtain a new one if it has expired.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorOutputDto'
              example:
                statusCode: 401
                title: Unauthorized
                message: Unauthorized
        '403':
          description: You do not have the necessary permissions to perform this action.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorOutputDto'
              example:
                statusCode: 403
                title: Forbidden
                message: Access denied
      security:
        - bearer: []
      x-codeSamples:
        - lang: cURL
          source: >

            curl --location --request GET
            "https://api.kashimi.tech/api/v1/capabilities/providers/3a9f7916-1b45-473c-bf34-3e601b8aae90/subsidiaries"

            --header "Accept: application/json"

            --header "Authorization: Bearer YOUR_ACCESS_TOKEN"
components:
  schemas:
    GetProvidersFilters:
      type: object
      properties:
        countryCode:
          type: string
          enum:
            - AF
            - AL
            - DZ
            - AS
            - AD
            - AO
            - AI
            - AQ
            - AG
            - AR
            - AM
            - AW
            - AU
            - AT
            - AZ
            - BS
            - BH
            - BD
            - BB
            - BY
            - BE
            - BZ
            - BJ
            - BM
            - BT
            - BO
            - BA
            - BW
            - BR
            - IO
            - BN
            - BG
            - BF
            - BI
            - CV
            - KH
            - CM
            - CA
            - KY
            - CF
            - TD
            - CL
            - CN
            - CX
            - CC
            - CO
            - KM
            - CG
            - CD
            - CK
            - CR
            - HR
            - CU
            - CY
            - CZ
            - DK
            - DJ
            - DM
            - DO
            - EC
            - EG
            - SV
            - GQ
            - ER
            - EE
            - SZ
            - ET
            - FJ
            - FI
            - FR
            - GF
            - PF
            - GA
            - GM
            - GE
            - DE
            - GH
            - GI
            - GR
            - GL
            - GD
            - GP
            - GU
            - GT
            - GN
            - GW
            - GY
            - HT
            - HN
            - HK
            - HU
            - IS
            - IN
            - ID
            - IR
            - IQ
            - IE
            - IL
            - IT
            - JM
            - JP
            - JO
            - KZ
            - KE
            - KI
            - KP
            - KR
            - KW
            - KG
            - LA
            - LV
            - LB
            - LS
            - LR
            - LY
            - LI
            - LT
            - LU
            - MO
            - MG
            - MW
            - MY
            - MV
            - ML
            - MT
            - MH
            - MQ
            - MR
            - MU
            - YT
            - MX
            - FM
            - MD
            - MC
            - MN
            - ME
            - MS
            - MA
            - MZ
            - MM
            - NA
            - NR
            - NP
            - NL
            - NC
            - NZ
            - NI
            - NE
            - NG
            - NU
            - NF
            - MK
            - MP
            - 'NO'
            - OM
            - PK
            - PW
            - PS
            - PA
            - PG
            - PY
            - PE
            - PH
            - PN
            - PL
            - PT
            - PR
            - QA
            - RE
            - RO
            - RU
            - RW
            - BL
            - SH
            - KN
            - LC
            - MF
            - PM
            - VC
            - WS
            - SM
            - ST
            - SA
            - SN
            - RS
            - SC
            - SL
            - SG
            - SX
            - SK
            - SI
            - SB
            - SO
            - ZA
            - SS
            - ES
            - LK
            - SD
            - SR
            - SE
            - CH
            - SY
            - TW
            - TJ
            - TZ
            - TH
            - TL
            - TG
            - TK
            - TO
            - TT
            - TN
            - TR
            - TM
            - TV
            - UG
            - UA
            - AE
            - GB
            - US
            - UY
            - UZ
            - VU
            - VE
            - VN
            - VG
            - VI
            - WF
            - EH
            - YE
            - ZM
            - ZW
          example: NL
          description: >-
            Country code of the provider. Providers that operate in multiple
            countries are treated as separate entities in our system, each with
            their own ID. For instance, Swedbank Lithuania and Swedbank Estonia
            are considered two different providers.
    GetProvidersCursorInputDto:
      type: object
      properties: {}
    GetProvidersSubsidiariesOutputDto:
      type: object
      properties:
        items:
          description: The page of the provider's subsidiaries.
          type: array
          items:
            $ref: '#/components/schemas/GetProvidersSubsidiaryOutputDto'
        meta:
          description: Metadata needed to fetch subsequent pages.
          allOf:
            - $ref: '#/components/schemas/GetProvidersMetaOutputDto'
      required:
        - items
        - meta
    ErrorOutputDto:
      type: object
      properties:
        title:
          type: string
          description: Name of the error
        statusCode:
          type: number
          description: HTTP status code
        message:
          type: string
          description: Error message
      required:
        - title
        - statusCode
        - message
    GetProvidersSubsidiaryOutputDto:
      type: object
      properties:
        id:
          type: string
          description: >-
            Unique identifier for the provider. This value should be used in the
            payment object as providerId.
          example: 3a9f7916-1b45-473c-bf34-3e601b8aae90
        name:
          type: string
          description: Name of the provider.
          example: Swedbank
        countryCode:
          type: string
          description: >-
            Country code of the provider. Providers that operate in multiple
            countries are treated as separate entities in our system, each with
            their own ID. For instance, Swedbank Lithuania and Swedbank Estonia
            are considered two different providers.
          example: LT
        bic:
          type: string
          description: BIC code of the provider
          example: HABALT22
          nullable: true
        logoUrl:
          type: string
          description: URL of the provider's logo.
          example: https://kashimi.s3.com/logo.png
        iconUrl:
          type: string
          description: URL of the provider's icon.
          example: https://kashimi.s3.com/icon.png
        paymentSchemes:
          type: array
          description: Array of payment schemes that we support for this provider.
          example:
            - SEPA
          items:
            type: string
            enum:
              - SEPA
              - DOMESTIC
        requiredPaymentFields:
          type: array
          description: >-
            Array of required payment fields for this provider. These fields can
            be included in the payment object to skip PSU data collection step
          example:
            - SENDER_ACCOUNT
          items:
            type: string
            enum:
              - SENDER_ACCOUNT
              - SENDER_PROVIDER_CREDENTIALS_ID
              - SENDER_PROVIDER_CREDENTIALS_PASSWORD
        hasSubsidiaries:
          type: boolean
          description: >-
            Whether the provider has subsidiaries. Subsidiaries can be retrieved
            with GET /capabilities/providers/:providerId/subsidiaries.
          example: false
      required:
        - id
        - name
        - countryCode
        - bic
        - logoUrl
        - iconUrl
        - paymentSchemes
        - requiredPaymentFields
        - hasSubsidiaries
    GetProvidersMetaOutputDto:
      type: object
      properties:
        cursor:
          description: Cursor pointers for paginating through the result set.
          allOf:
            - $ref: '#/components/schemas/GetProvidersCursorOutputDto'
      required:
        - cursor
    GetProvidersCursorOutputDto:
      type: object
      properties:
        next:
          description: Cursor pointing forward to the next page of results.
          allOf:
            - $ref: '#/components/schemas/GetProvidersCursorPointerOutputDto'
      required:
        - next
    GetProvidersCursorPointerOutputDto:
      type: object
      properties:
        value:
          type: string
          nullable: true
          description: >-
            Opaque cursor to pass as `cursor[value]` to fetch the next page, or
            null on the last page.
      required:
        - value

````